vdr/vdr/debian vdr.postrm changelog control plugin-loader.sh runvdr vdr.init vdr.postinst

Thomas Schmidt pkg-vdr-dvb-changes@lists.alioth.debian.org
Thu, 30 Dec 2004 23:03:24 +0000


Update of /cvsroot/pkg-vdr-dvb/vdr/vdr/debian
In directory haydn:/tmp/cvs-serv3027/vdr/vdr/debian

Modified Files:
	changelog control plugin-loader.sh runvdr vdr.init 
	vdr.postinst 
Added Files:
	vdr.postrm 
Log Message:


Index: plugin-loader.sh
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/plugin-loader.sh,v
retrieving revision 1.23
retrieving revision 1.24
diff -u -d -r1.23 -r1.24
--- plugin-loader.sh	30 Dec 2004 21:10:28 -0000	1.23
+++ plugin-loader.sh	30 Dec 2004 23:03:22 -0000	1.24
@@ -16,7 +16,7 @@
     local leftout2
     local version
 
-    version=`/usr/bin/vdr -V -L/usr/bin/vdr 2>/dev/null | sed -e 's/.*(\(.*\)).*/\1/'`
+    version=`/usr/bin/vdr -u $USER -g $GROUP -V -L/usr/bin/vdr 2>/dev/null | sed -e 's/.*(\(.*\)).*/\1/'`
     test "$version" || version="unknown version"
  
     PLUGINS=""
@@ -47,7 +47,7 @@
 
         # move not startable plugins to $leftout2
         for (( i=${#installed_plugins[@]}, i-- ; i >= 0 ; i-- )); do
-            if ! su vdr -c /usr/bin/vdr -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
+            if ! /usr/bin/vdr -u $USER -g $GROUP -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
                 2>/dev/null | grep -q "^${installed_plugins[$i]} "; then
                 leftout2="${leftout2} ${installed_plugins[$i]}"
                 unset installed_plugins[$i]

--- NEW FILE: vdr.postrm ---
#! /bin/sh
# postrm script for vdr-plugin-#PACKAGE#
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postrm> `remove'
#        * <postrm> `purge'
#        * <old-postrm> `upgrade' <new-version>
#        * <new-postrm> `failed-upgrade' <old-version>
#        * <new-postrm> `abort-install'
#        * <new-postrm> `abort-install' <old-version>
#        * <new-postrm> `abort-upgrade' <old-version>
#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


case "$1" in
    purge)
    	rm -f /var/cache/vdr/commands.conf > /dev/null || true
    	rm -f /var/cache/vdr/reccmds.conf > /dev/null || true
	rm -f /var/cache/vdr/epg.data > /dev/null || true
	rm -f /var/lib/vdr/channels.conf > /dev/null || true
	rm -f /var/lib/vdr/remote.conf > /dev/null || true
	rm -f /var/lib/vdr/setup.conf > /dev/null || true
	rm -f /var/lib/vdr/timers.conf > /dev/null || true
    ;;
    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
    ;;
    *)
        echo "postrm called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0

Index: vdr.init
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/vdr.init,v
retrieving revision 1.29
retrieving revision 1.30
diff -u -d -r1.29 -r1.30
--- vdr.init	26 Oct 2004 23:47:17 -0000	1.29
+++ vdr.init	30 Dec 2004 23:03:22 -0000	1.30
@@ -27,6 +27,12 @@
 # EPG data file
 EPG_FILE=/var/cache/vdr/epg.data
 
+# Username under which vdr will run
+USER=vdr
+
+# Groupname under which vdr will run
+GROUP=vdr
+
 PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
 NAME=vdr
 DESC="Linux Video Disk Recorder"
@@ -53,7 +59,8 @@
     	mergecommands "reccmds"
     	start-stop-daemon --start --quiet \
 	 	--exec /usr/sbin/runvdr -- -v $VIDEO_DIR -c $CFG_DIR -r $REC_CMD \
-	 	-s $SHUTDOWN_CMD -E $EPG_FILE $OPTIONS $PLUGINS &
+	 	-s $SHUTDOWN_CMD -E $EPG_FILE -u $USER -g $GROUP $OPTIONS \
+		$PLUGINS &
     else
 	   echo -n " - seems to be running already"
     fi

Index: vdr.postinst
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/vdr.postinst,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -d -r1.12 -r1.13
--- vdr.postinst	30 Dec 2004 21:10:28 -0000	1.12
+++ vdr.postinst	30 Dec 2004 23:03:22 -0000	1.13
@@ -97,10 +97,10 @@
 
 	# ensure that user and group 'vdr' exist
 	adduser --system --home /var/lib/video --shell /bin/false --no-create-home \
-		--disabled-login --group vdr
+		--disabled-login --group vdr > /dev/null || true
 
 	# put vdr in group video so that it can access the DVB device nodes
-	adduser vdr video
+	adduser vdr video > /dev/null || true
 
 	# ensure that vdr's config and recording files are correctly owned
 	[ ! -e /var/lib/video ] || chown -R vdr:vdr /var/lib/video/

Index: changelog
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/changelog,v
retrieving revision 1.66
retrieving revision 1.67
diff -u -d -r1.66 -r1.67
--- changelog	30 Dec 2004 21:10:27 -0000	1.66
+++ changelog	30 Dec 2004 23:03:21 -0000	1.67
@@ -24,6 +24,11 @@
     - Do not run as user root anymore, the user vdr will be created
       and the video-directory and config-files will be changed, so the
       owner/group is vdr:vdr (closes: #287899)
+    - Added patch from Ludwig Nussel to be able to syncronize the system-
+      time via DVB, even when vdr runs as user
+    - Build-depend on libcap-dev
+    - Remove some files under /var/lib/vdr and /var/cache/vdr in postrm 
+      on purge (closes: #287914)
     - Added german (de.po) debconf-translation from Jens Nachtigall 
       <nachtigall@web.de> (closes: #273643)
     - Added a note to the package description and README.Debian that vdr
@@ -32,6 +37,8 @@
     - Improved runvdr-script: when no loaded dvb-modules were found, 
       try to load the module dvb (could be an alias for the real 
       dvb-module)
+    - Added XB-VDR-Patchlevel-field in debian/control to vdr-plugin-sky 
+      and vdr-plugin-examples
     - Build-depend on dpatch (>= 2.0.9)
     - Converted existing dpatch-files to the new short format
     - Added newplugin-script as vdr-newplugin to vdr-dev, so 
@@ -52,7 +59,7 @@
       devices, they will now be created without any question when they
       are not existing allready
 
- -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Thu, 30 Dec 2004 22:00:44 +0100
+ -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Thu, 30 Dec 2004 23:16:22 +0100
 
 vdr (1.2.6-5) unstable; urgency=low
 

Index: runvdr
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/runvdr,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -d -r1.7 -r1.8
--- runvdr	30 Dec 2004 21:10:28 -0000	1.7
+++ runvdr	30 Dec 2004 23:03:22 -0000	1.8
@@ -3,7 +3,7 @@
 #
 
 OPTIONS="$*"
-VDRCMD="su vdr -c LD_ASSUME_KERNEL=2.4 /usr/bin/vdr $OPTIONS"
+VDRCMD="LD_ASSUME_KERNEL=2.4 /usr/bin/vdr $OPTIONS"
 
 function get_modulenames ()
 {

Index: control
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/vdr/vdr/debian/control,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -d -r1.12 -r1.13
--- control	28 Dec 2004 13:31:49 -0000	1.12
+++ control	30 Dec 2004 23:03:22 -0000	1.13
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>, Andreas Mueller <amu@tr.debian.net> 
-Build-Depends: debhelper (>= 4.1.16), dvb-dev (>= 1.0.0) | linux-kernel-headers (>=2.5.999-test7-bk-6), libncurses5-dev, libjpeg62-dev, dpatch (>= 2.0.9)
+Build-Depends: debhelper (>= 4.1.16), dvb-dev (>= 1.0.0) | linux-kernel-headers (>=2.5.999-test7-bk-6), libncurses5-dev, libjpeg62-dev, dpatch (>= 2.0.9), libcap-dev
 Standards-Version: 3.6.1
 
 Package: vdr
@@ -97,6 +97,7 @@
  the analog a/v output of a Sky Digibox to VDR, so that you can 
  enjoy the full recording flexibility of VDR with your Sky 
  subscription. 
+XB-VDR-Patchlevel: ${patchlevel}
 
 Package: vdr-plugin-examples
 Architecture: any 
@@ -110,3 +111,4 @@
  from the vdr-source. These plugins do not have useful features,
  they only demonstrate how vdr-plugins work and what is possible to
  do with them.
+XB-VDR-Patchlevel: ${patchlevel}